import { get, post, postJson } from './http.js';

export const getShopList = (params) => {
  return get('app/shop/list', params)
}

export const getShopDetail = (params) => {
  return get('app/shop/detail', params)
}

export const shopAdd = (params) => {
  return post('app/shop/add', params)
}
export const shopEdit = (params) => {
  return post('app/shop/modify', params)
}

export const shopDelete = (params) => {
  return post('app/shop/delete', params)
}

export const getProductList = (params) => {
  return get('app/product/list', params)
}

export const getBindTakeOutList = (params) => {
  return get('app/waimai/list', params)
}

export const getTakeOutList = (params) => {
  return get('app/waimai/waimais', params)
}

export const bindTakeOut = (params) => {
  return post('app/waimai/bind', params)
}

export const deleteTakeOut = (params) => {
  return post('app/waimai/delete', params)
}

export const releaseTakeOut = (params) => {
  return post('app/waimai/release', params)
}

export const setTakeOut = (params) => {
  return post('app/waimai/set', params)
}

export const getDeliveryList = (params) => {
  return get('app/delivery/list', params)
}

export const bindDelivery = (params) => {
  return post('app/delivery/bind', params)
}

export const bindUserSubmitDelivery = (params) => {
  return post('app/delivery/bindUserSubmit', params)
}

export const bindUserApplyDelivery = (params) => {
  return post('app/delivery/bindUserApply', params)
}

export const releaseDelivery = (params) => {
  return post('app/delivery/release', params)
}

export const unBindDelivery = (params) => {
  return post('app/delivery/unBind', params)
}

export const cancelBindDelivery = (params) => {
  return post('app/delivery/cancelBind', params)
}

export const updateShopNo = (params) => {
  return post('app/delivery/dada/update/shopNo', params)
}

export const explainDelivery = (params) => {
  return get('app/delivery/explain', params)
}

export const findCityDelivery = (params) => {
  return get('app/delivery/findCity', params)
}

export const floorAddDelivery = (params) => {
  return post('app/delivery/floor/add', params)
}

export const floorDetailDelivery = (params) => {
  return get('app/delivery/floor/detail', params)
}

export const floorListDelivery = (params) => {
  return get('app/delivery/floor/list', params)
}

export const getCityInfoDelivery = (params) => {
  return get('app/delivery/getCityInfo', params)
}

export const poiSearchDelivery = (params) => {
  return post('app/delivery/poiSearch', params)
}

export const statusDelivery = (params) => {
  return post('app/delivery/status', params)
}

// 门店设备列表
export const shopDeviceList = (params) => {
  return get('app/shop/device/list', params)
}
// 门店设备详情
export const deviceDetail = (params) => {
  return get('app/shop/device/detail', params)
}
// 设备列表
export const deviceList = (params) => {
  return get('app/shop/device/devices', params)
}
// 设备新增、编辑
export const deviceAdd = (params) => {
  return post('app/shop/device/add', params)
}
// 设备删除
export const deviceDelete = (params) => {
  return post('app/shop/device/delete', params)
}
// 设备状态
export const deviceStatus = (params) => {
  return get('app/shop/device/status', params)
}
